Tracking bug for Thunderbird 9 transition in Oneiric

Bug #909599 reported by Micah Gersten on 2011-12-29
266
This bug affects 2 people
Affects Status Importance Assigned to Milestone
enigmail (Ubuntu)
Undecided
Unassigned
Oneiric
Medium
Micah Gersten
lightning-extension (Ubuntu)
Undecided
Unassigned
Oneiric
Medium
Micah Gersten
thunderbird (Ubuntu)
Undecided
Unassigned
Oneiric
Medium
Micah Gersten

Bug Description

USN Information: http://www.ubuntu.com/usn/usn-1343-1

Tracking bug for Thunderbird 9 and friends. USN information will go here after publication.

Micah Gersten (micahg) on 2011-12-29
visibility: private → public
Changed in enigmail (Ubuntu):
status: New → Invalid
Changed in lightning-extension (Ubuntu):
status: New → Invalid
Changed in thunderbird (Ubuntu):
status: New → Invalid
Changed in enigmail (Ubuntu Oneiric):
status: New → In Progress
Changed in lightning-extension (Ubuntu Oneiric):
status: New → In Progress
Changed in thunderbird (Ubuntu Oneiric):
status: New → In Progress
importance: Undecided → Medium
Changed in lightning-extension (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in enigmail (Ubuntu Oneiric):
importance: Undecided → Medium
assignee: nobody → Micah Gersten (micahg)
Changed in lightning-extension (Ubuntu Oneiric):
assignee: nobody → Micah Gersten (micahg)
Changed in thunderbird (Ubuntu Oneiric):
assignee: nobody → Micah Gersten (micahg)
Micah Gersten (micahg) wrote :

All packages are now built in ubuntu-mozilla-security and oneiric-proposed for extended testing.

Changed in enigmail (Ubuntu Oneiric):
status: In Progress → Fix Committed
Changed in lightning-extension (Ubuntu Oneiric):
status: In Progress → Fix Committed
Changed in thunderbird (Ubuntu Oneiric):
status: In Progress → Fix Committed
tags: added: security-verification verification-needed
Umang Varma (umang) wrote :

What is the status of this bug? In the past week, Thunderbird 8 has crashed on average 2 times a day on my Ubuntu 11.10. Thunderbird 9 seems a lot more stable.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 9.0+build2-0ubuntu0.11.10.1

---------------
thunderbird (9.0+build2-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (THUNDERBIRD_9_0_BUILD2)
    - see LP: #909599 for USN information

  [ Chris Coulson <email address hidden> ]
  * Update globalmenu-extension to 2.0.2
  * Update eds integration to 0.3.9
  * Don't unconditionally overwrite SourcePackage when reporting bugs with
    the nightly apport hook
    - update debian/apport/source_thunderbird.py.in
  * Set "Channel = Unavailable" if channel-prefs.js doesn't contain a
    channel name
    - update debian/apport/source_thunderbird.py.in
  * Ensure that create-tarball can handle there not being a locale blacklist
    - update debian/build/create-tarball.py
  * Use makedirs to create the local cache directory
    - update debian/build-create-tarball.py
  * Drop patches fixed upstream:
    - remove debian/patches/only-add-ENABLE_JIT-to-CXXFLAGS-if-jit-is-enabled.patch
    - update debian/patches/series
  * Refresh patches
    - update debian/patches/theme-resfresh-addressbook-toolbar-icons.patch
  * Drop xpt.py and xpidl from $LIBDIR. xpidl is gone, and xpt.py isn't included
    there in the upstream SDK
    - update debian/thunderbird-dev.links.in
  * Fix LP: #901838 - Ugly busy pointer, due to libxcursor no longer matching
    the cursor bitmap to a nice themed pointer
    - add debian/patches/fix-cursor-handling.patch
    - update debian/patches/series

  [ Micah Gersten <email address hidden> ]
  * Add patch from upstream to fix PowerPC FTBFS (bmo: 703534) aka
    Build failure on platforms without YARR JIT
    - add debian/patches/fix-build-failure-without-yarr-jit.patch
    - update debian/patches/series
 -- Chris Coulson <email address hidden> Thu, 29 Dec 2011 01:55:08 -0600

Changed in thunderbird (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package enigmail - 2:1.3.4-0ubuntu0.11.10.1

---------------
enigmail (2:1.3.4-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream release v1.3.4 (LP: #909599)
 -- Chris Coulson <email address hidden> Thu, 29 Dec 2011 12:20:55 -0600

Changed in enigmail (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightning-extension - 1.1+build1-0ubuntu0.11.10.1

---------------
lightning-extension (1.1+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (CALENDAR_1_1_BUILD1) (LP: #909599)

  * Refresh debian/patches/02_fix_system_libxul_build.patch
  * Add debian/patches/03_maxversion_override.patch to ensure compatibility
    with Thunderbird 9 point releases
  * Add the new python IDL parser to the tarball
    - update debian/rules
 -- Chris Coulson <email address hidden> Thu, 29 Dec 2011 12:14:14 -0600

Changed in lightning-extension (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Micah Gersten (micahg) on 2012-01-24
description: updated
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers